Subject: bug#29297: closed (Re: linux grep question, please help us to see, thank you)

From: [email-masked] (GNU bug Tracking System)
Date: Tue, 31 Dec 2019 19:57:01 +0000

Your bug report

#29297: linux grep question, please help us to see, thank you 

which was filed against the grep package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
29297: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=29297
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: linux grep question, please help us to see, thank you
From: Paul Eggert <[email-masked]>
To: Yufuping <[email-masked]>
Cc: [email-masked]
Date: Tue, 31 Dec 2019 11:56:09 -0800
List-Id: <debbugs-submit.debbugs.gnu.org>

Re <https://bugs.gnu.org/29297> dated 2017-11-14:

> the grep command with wrong write error, and the return value was 2. May I ask where the problem is? And this is a probabilistic problem

Grep reports 'write error' if the 'write' system call fails. If 'grep' was
incorrect, it's because the 'write' system call was incorrect. So, as near as I
can see this is not a 'grep' bug and I am closing the bug report.

Subject: linux grep question, please help us to see, thank you
From: Yufuping <[email-masked]>
To: "[email-masked]" <[email-masked]>
Cc: wumingxin <[email-masked]>, Huotongyao <[email-masked]>
Date: Tue, 14 Nov 2017 03:47:22 +0000
List-Id: <debbugs-submit.debbugs.gnu.org>

Hi,

when we executed shell, we found that the grep command with wrong write error, and the return value was 2. May I ask where the problem is? And this is a probabilistic problem, Thank you